/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Locale;
import java.util.ResourceBundle;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.control.Control;


/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
@WebServlet(name = "CadastroProfessor", urlPatterns = {"/CadastroProfessor"})
public class CadastroProfessor extends HttpServlet {

    static Logger log = Logger.getLogger(CadastroProfessor.class);
    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
//        BasicConfigurator.configure();
        response.setContentType("text/html;charset=UTF-8");
        try (PrintWriter out = response.getWriter()) {
            /* TODO output your page here. You may use following sample code. */

            Control control = new Control();

            String nome = ((String) request.getParameter("nome"));
            String email = ((String) request.getParameter("email"));
            String senha = ((String) request.getParameter("senha"));
            String senhaConfirm = ((String) request.getParameter("confirm_senha"));
            String cidade = ((String) request.getParameter("cidade"));
            String disciplina = ((String) request.getParameter("disciplina"));
            String instituicao = ((String) request.getParameter("instituicao"));
            String pais = ((String) request.getParameter("pais"));
            String uf = ((String) request.getParameter("uf"));
            
            HttpSession sessao = request.getSession();
            
            
            String language = (String) sessao.getAttribute("language");
            String country = (String) sessao.getAttribute("country");
        
            

            if (!senha.equals(senhaConfirm)) {
                sessao.setAttribute("erro_senha", "true");
            } else if (control.existeProfessor(email)) {
                sessao.setAttribute("erro_email", "true");
            } else {
                Integer idProfessor = control.salvarProfessor(nome, email, senha, cidade, disciplina, instituicao, pais, uf, language, country);
                if (idProfessor != null) {
                    sessao.setAttribute("sucesso_cadastro", "true");    
                } else {
                    sessao.setAttribute("erro_banco", "true");
                }
            }
            
            response.sendRedirect("professor_cadastro.jsp");
           

        }catch (Exception e) {
            log.error("Não foi possivel realizar o cadastro de professor.", e );
            try {
                getServletContext().getRequestDispatcher("/erro.jsp").forward(request, response);
            } catch (Exception ex) {
                log.warn("Não foi possivel redirecionar para página de erro.", ex );
            }
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
