/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

import br.ufsc.cne.codemaster.control.Control;
import br.ufsc.cne.codemaster.objetos.Professor;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
@WebServlet(name = "LoginProfessor", urlPatterns = {"/LoginProfessor"})
public class LoginProfessor extends HttpServlet {

    static Logger log = Logger.getLogger(LoginProfessor.class);
    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
//        BasicConfigurator.configure();
        response.setContentType("text/html;charset=UTF-8");
        try (PrintWriter out = response.getWriter()) {

            Control ctl = new Control();
            Professor professor = ctl.loginProfessor(request.getParameter("email"), request.getParameter("senha"));

            HttpSession sessao = request.getSession();
            if (professor != null) {
                sessao.setAttribute("professor", professor);
                sessao.removeAttribute("falha_login");
                response.sendRedirect("professor.jsp");
            } else {
                sessao.setAttribute("falha_login", "true");
                response.sendRedirect("professor_login.jsp");
            }

        } catch (Exception e) {
            log.error("Não foi possivel logar na conta de professor informada.", e);
            try {
                response.sendRedirect("erro.jsp");
            } catch (Exception ex) {
                log.warn("Não foi possível redirecionar para a página de erro.", ex);
            }
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
