/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.util;


import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import org.apache.log4j.Logger;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class FabricaConexao {
    
    static Logger log = Logger.getLogger(FabricaConexao.class);
    
    private static Connection conexao;
    private static final String URL_CONEXAO = "jdbc:mysql://localhost/bd_code_master?useTimezone=true&serverTimezone=UTC";
    
    /* Configuracao para SERVIDOR
     * private static final String USUARIO = "grader";
     * private static final String SENHA = "Gr4d3rCn3RQ3L";
     */
    
    //Configuracao para LOCAL
    private static final String USUARIO = "root";
    private static final String SENHA = "root";


    public static Connection getConexao() {
        if(conexao == null){
            try {
                Class.forName("com.mysql.jdbc.Driver");
                conexao = (Connection) DriverManager.getConnection(URL_CONEXAO, USUARIO, SENHA);
            } catch (SQLException | ClassNotFoundException ex) {
                log.error(ex);
            }
            
        }
        return conexao;
    }
    
    public  static void fecharConexao(){
        if(conexao != null){
            try {
                conexao.close();
            } catch (SQLException ex) {
                log.error(ex);
            }
            conexao = null;
        }
    }
    
    
}
