<%-- 
    Document   : professor_cadastro
    Created on : Aug 25, 2017, 3:41:25 PM
    Author     : rafaelpelle
--%>

<%@page import="java.util.ResourceBundle"%>
<%@page import="java.util.Locale"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage = "erro.jsp"%>
<!DOCTYPE html>
<html>

    <head>
        <style>
            .small-title {
                font-size: 30px;
                font-weight: 400;
                display: block;
            }

            .body {
                background-color: #eee;
            }

            .form-horizontal {}

            *[role="form"] {
                max-width: 530px;
                padding: 15px;
                margin: 0 auto;
                background-color: #fff;
                border-radius: 0.3em;
            }

            *[role="form"] h2 {
                margin-left: 5em;
                margin-bottom: 1em;
            }

            .myshadow {
                -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
                -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
                box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
            }

            .col-centered {
                float: none;
                margin: 0 auto;
            }
        </style>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
        <link rel="stylesheet" href="css/styles.css"> </head>

    <%
        HttpSession sessao = request.getSession();
    %>
    




    
    <% 
        String language;
        String country;
        if(request.getSession().getAttribute("language") == null || request.getSession().getAttribute("country") == null) {
            Locale automaticLocale = request.getLocale();
            language = automaticLocale.getLanguage();
            country = automaticLocale.getCountry();
            request.getSession().setAttribute("language", language);
            request.getSession().setAttribute("country", country);
        } else {
            language = (String) request.getSession().getAttribute("language");
            country = (String) request.getSession().getAttribute("country");
        }
        Locale locale = new Locale(language, country);
        ResourceBundle messages = ResourceBundle.getBundle("ProfessorCadastroBundle", locale);
    %>

    <body>
        <div class="py-3">
            <div class="container">
                <div class="row">
                    <div class="col-md-9">
                        <img class="center-block img-fluid d-block" src="resources/LogoCodeMaster.png" width="30%"> </div>
                    <div class="col-md-3 text-right align-self-end"> </div>
                </div>
            </div>
        </div>
        <div class="bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <div class="btn-group">
                            <a href="index.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("HomeBtn")%></a>
                            <a href="aluno.jsp" class="btn btn-success text-gray-dark"><%=messages.getString("AlunoBtn")%></a>
                            <div class="dropdown">
                                <button class="btn btn-success dropdown-toggle" type="button" data-toggle="dropdown"><b><%=messages.getString("ProfessorBtn")%></b><span class="caret"></span></button>
                                <ul class="dropdown-menu text-left px-2">
                                    <li><a href="professor.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropAvaliar")%></a></li>
                                    <li class="divider"></li>
                                    <li><a href="professor_turmas.jsp" class="text-gray-dark"><%=messages.getString("ProfessorDropTurmas")%></a></li>
                                </ul>
                            </div>
                            <a href="#" class="btn btn-success text-gray-dark"><%=messages.getString("AdminBtn")%></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="py-4">
            <div class="container">
                <div class="container">
                    
                    <%if (sessao.getAttribute("sucesso_cadastro") != null && sessao.getAttribute("sucesso_cadastro").equals("true")) { sessao.removeAttribute("sucesso_cadastro"); %>
                        <div class="bloco-mensagem-confirmacao" >
                            <span class="mensagem-de-confirmacao"><%=messages.getString("CadastroSucesso")%></span>
                        </div>
                    <%}%>
                    
                    <form action="CadastroProfessor" class="form-horizontal myshadow bg-faded" role="form">
                        <h3 class="text-center py-2"><%=messages.getString("Cadastro")%></h3>
                        <div class="form-group">
                            <div class="col-md-12">
                                <input type="text" id="nome" name="nome" placeholder="<%=messages.getString("PlaceholderNome")%>" class="form-control" autofocus="" required=""> </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <input type="email" id="email" name="email" placeholder="E-mail" class="form-control" required=""> </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <input type="text" id="instituicao" name="instituicao" placeholder="<%=messages.getString("PlaceholderInstituicao")%>" class="form-control" autofocus="" required=""> </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <div class="form-group"> <select class="form-control" id="selecionaDisciplina" name="disciplina" required="">
                                        <option><%=messages.getString("PlaceholderDisciplina")%></option>
                                        <option><%=messages.getString("DisciplinaBiologia")%></option>
                                        <option><%=messages.getString("DisciplinaCiencias")%></option>
                                        <option><%=messages.getString("DisciplinaFilosofia")%></option>
                                        <option><%=messages.getString("DisciplinaFisica")%></option>
                                        <option><%=messages.getString("DisciplinaGeografia")%></option>
                                        <option><%=messages.getString("DisciplinaHistoria")%></option>
                                        <option><%=messages.getString("DisciplinaInformatica")%></option>
                                        <option><%=messages.getString("DisciplinaEstrangeiras")%></option>
                                        <option><%=messages.getString("DisciplinaMatematica")%></option>
                                        <option><%=messages.getString("DisciplinaPortugues")%></option>
                                        <option><%=messages.getString("DisciplinaQuimica")%></option>
                                        <option><%=messages.getString("DisciplinaSociologia")%></option>
                                        <option><%=messages.getString("DisciplinaOutra")%></option>
                                    </select> </div>
                            </div>
                        </div>
                        <div class="row px-3">
                            <div class="col-md-8">
                                <input type="text" id="cidade" name="cidade" placeholder="<%=messages.getString("PlaceholderCidade")%>" class="form-control"> </div>
                            <div class="col-md-4">
                                <div class="form-group"> <select class="form-control" id="selecionaEstado" name="uf">
                                        <option value="Estado"><%=messages.getString("PlaceholderEstado")%></option>
                                        <option value="Acre">Acre</option>
                                        <option value="Alagoas">Alagoas</option>
                                        <option value="Amapá">Amapá</option>
                                        <option value="Amazonas">Amazonas</option>
                                        <option value="Bahia">Bahia</option>
                                        <option value="Ceará">Ceará</option>
                                        <option value="Distrito Federal">Distrito Federal</option>
                                        <option value="Espírito Santo">Espírito Santo</option>
                                        <option value="Goiás">Goiás</option>
                                        <option value="Maranhão">Maranhão</option>
                                        <option value="Mato Grosso">Mato Grosso</option>
                                        <option value="Mato Grosso do Sul">Mato Grosso do Sul</option>
                                        <option value="Minas Gerais">Minas Gerais</option>
                                        <option value="Pará">Pará</option>
                                        <option value="Paraíba">Paraíba</option>
                                        <option value="Paraná">Paraná</option>
                                        <option value="Pernambuco">Pernambuco</option>
                                        <option value="Piauí">Piauí</option>
                                        <option value="Rio de Janeiro">Rio de Janeiro</option>
                                        <option value="Rio Grande do Norte">Rio Grande do Norte</option>
                                        <option value="Rio Grande do Sul">Rio Grande do Sul</option>
                                        <option value="Rondônia">Rondônia</option>
                                        <option value="Roraima">Roraima</option>
                                        <option value="Santa Catarina">Santa Catarina</option>
                                        <option value="São Paulo">São Paulo</option>
                                        <option value="Sergipe">Sergipe</option>
                                        <option value="Tocantins">Tocantins</option>
                                    </select> </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <input type="password" id="senha" placeholder="<%=messages.getString("PlaceholderSenha")%>" class="form-control" name="senha" required=""> </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12">
                                <input type="password" id="confirmarSenha" placeholder="<%=messages.getString("PlaceholderConfirmar")%>" class="form-control" name="confirm_senha" required=""> </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-9 col-sm-offset-3">
                                <div class="checkbox"> <label>
                                        <input type="checkbox" value="on" name="termos_contrato" required=""> <%=messages.getString("Aceito")%> <a href="termos_de_servico.jsp"><%=messages.getString("Termos")%></a>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-12 text-center">
                                <button type="submit" class="btn btn-success"><%=messages.getString("CadastrarBtn")%></button>
                            </div>
                        </div>
                        <%if (sessao.getAttribute("erro_senha") != null && sessao.getAttribute("erro_senha").equals("true")) { sessao.removeAttribute("erro_senha"); %>
                            <div style="text-align: center">
                            <span class="mensagem-de-erro" ><%=messages.getString("SenhaDiferente")%></span>
                            </div>
                        <%}%>
                        
                        <%if (sessao.getAttribute("erro_email") != null && sessao.getAttribute("erro_email").equals("true")) { sessao.removeAttribute("erro_email"); %>
                            <div style="text-align: center">
                            <span class="mensagem-de-erro" ><%=messages.getString("EmailCadastrado")%></span>
                            </div>
                        <%}%>
              
                        
                        <p>${mensagem}</p>
                    </form>
                </div>
            </div>
            <div class="container py-3">
                <div class="row">
                    <div class="col-md-12"></div>
                </div>
            </div>
        </div>
        <footer class="footer text-success bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered col-lg-9">
                        <img class="center-block img-fluid" src="resources/Logo1.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo2.png" width="10%">
                        <img class="center-block img-fluid" src="resources/Logo3.png" width="6%">
                        <img class="center-block img-fluid py-2" src="resources/Logo4.png" width="4%"> </div>
                    <div class="col-md-2 text-left">
                        <img class="center-block img-fluid d-block my-4" src="resources/LogoCnE.png"> </div>
                </div>
            </div>
        </footer>
        <footer class="footer bg-success">
            <div class="container">
                <div class="row">
                    <div class="col-centered">
                        <a href="sobre.jsp" class="card-link text-white"><%=messages.getString("SobreBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="politica_de_privacidade.jsp" class="card-link text-white"><%=messages.getString("PoliticaBtn")%> &nbsp; &nbsp; &nbsp;<b>|</b></a>
                        <a href="termos_de_servico.jsp" class="card-link text-white"><%=messages.getString("TermosBtn")%></a>
                    </div>
                </div>
            </div>
        </footer>

        <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
        <script src="https://pingendo.com/assets/bootstrap/bootstrap-4.0.0-alpha.6.min.js"></script>
    </body>
</html>