/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.conceitos;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo.Codigo;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class Lacos extends ConceitoCT{

    public Lacos(Codigo codigo) {
        super(codigo);
    }

    @Override
    public void avaliaCodigo() {
        int qtdForRange = 0, qtdForEach = 0, qtdWhile = 0;
        
        if (codigo.getMapaTokensBlocos().containsKey("controls_forRange")){
            qtdForRange = codigo.getMapaTokensBlocos().get("controls_forRange");
        }
        if (codigo.getMapaTokensBlocos().containsKey("controls_forEach")){
            qtdForEach = codigo.getMapaTokensBlocos().get("controls_forEach");
        }
        if (codigo.getMapaTokensBlocos().containsKey("controls_while")){
            qtdWhile  = codigo.getMapaTokensBlocos().get("controls_while");
        }
        
        if (qtdForEach > 0){
            this.nota = 3;
        } else if (qtdForRange > 0){
            this.nota = 2;
        } else if (qtdWhile > 0){
            this.nota = 1;
        }
        
    }
    
}
