/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.conceitos;

import java.util.ArrayList;
import java.util.List;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo.Codigo;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class NomeacaoProcedimentosVariaveis extends ConceitoCT{

    private List<String> nomesPadroes = new ArrayList<>();
    
    public NomeacaoProcedimentosVariaveis(Codigo codigo) {
        super(codigo);
        nomesPadroes.add("procedimento");nomesPadroes.add("nome");nomesPadroes.add("procedure");nomesPadroes.add("name");
    }

    @Override
    public void avaliaCodigo() {
        int qtdNomes = codigo.getNomesProcedimentosEVariaveis().size();
        int qtdNomesAlterados = qtdNomes;
        
        for(String nome : codigo.getNomesProcedimentosEVariaveis()){
            for(String padrao : nomesPadroes){
                if(nome.contains(padrao)){
                    qtdNomesAlterados--;
                }
            }
        }
        
        if ((qtdNomesAlterados > (int)(qtdNomes * 0.75)) || qtdNomes == 0){
            this.nota = 3;
        }else if ((qtdNomesAlterados > (int)(qtdNomes * 0.25))){
            this.nota = 2;
        }else if ((qtdNomesAlterados > (int)(qtdNomes * 0.1))){
            this.nota = 1;
        }
    }
    
}
