/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.conceitos;

import java.util.Arrays;
import java.util.List;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo.Codigo;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class Operadores extends ConceitoCT {

    List<String> lista = Arrays.asList("math_trig", "math_subtract", "math_single", "math_random_int", "math_divide", "logic_boolean", "math_is_a_number", "math_multiply", "math_random_float", "logic_compare",
            "logic_operation", "math_add", "math_convert_angles", "math_on_list", "logic_false", "math_random_set_seed", "math_format_as_decimal", "logic_or", "math_power", "logic_negate",
            "math_division", "math_atan2", "math_compare", "math_convert_number");

    public Operadores(Codigo codigo) {
        super(codigo);
    }

    @Override
    public void avaliaCodigo() {
        int qtdOperadores = 0;
        
        for(String operador : lista){
            if (codigo.getMapaTokensBlocos().containsKey(operador)){
                qtdOperadores++;
            }
        }
        
        if (qtdOperadores > 2){
            this.nota = 3;
        } else if(qtdOperadores == 2){
            this.nota = 2;
        } else if(qtdOperadores == 1){
            this.nota = 1;
        }
    }

}
