/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.conceitos;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo.Codigo;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class Sensores extends ConceitoCT{

    public Sensores(Codigo codigo) {
        super(codigo);
    }

    @Override
    public void avaliaCodigo() {
        int qtdSensores = 0;
        
        if (codigo.getMapaTokensMutationBlocos().containsKey("AccelerometerSensor")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("BarcodeScanner")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("Clock")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("GyroscopeSensor")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("LocationSensor")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("NearField")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("OrientationSensor")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("Pedometer")){
            qtdSensores++;
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("ProximitySensor")){
            qtdSensores++;
        }
        
        if (qtdSensores > 2){
            this.nota = 3;
        } else if(qtdSensores == 2){
            this.nota = 2;
        } else if(qtdSensores == 1){
            this.nota = 1;
        }
    }
    
}
