package br.ufsc.cne.codemaster;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;

/**
 *
 * @author rafaelpelle
 */
@WebServlet("/i18n_portugues")
public class i18n_pt extends HttpServlet {
    
    static Logger log = Logger.getLogger(i18n_pt.class);

    /**
     *
     * @param request
     * @param response
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) {
//        BasicConfigurator.configure();
        try {
            request.getSession().setAttribute("language", "pt");
            request.getSession().setAttribute("country", "BR");
            getServletContext().getRequestDispatcher("/index.jsp").forward(request, response);
        } catch (Exception e) {
            log.warn("Não foi possível alterar language/country.", e);
            try {
                getServletContext().getRequestDispatcher("/erro.jsp").forward(request, response);
            } catch (Exception ex) {
                log.warn("Não foi possível redirecionar para a página de erro.", ex);
            }
        }
    }
}
