/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.mail;

import com.sun.mail.util.MailSSLSocketFactory;
import java.security.GeneralSecurityException;
import java.util.Properties;
import javax.mail.Address;
import javax.mail.Authenticator;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import org.apache.log4j.Logger;


/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class Mail {
    
    static Logger log = Logger.getLogger(Mail.class);

    private static final String FROM = "computacaonaescola@sistemas.ufsc.br";
    private static final String HOST = "smtp.sistemas.ufsc.br";
    private static final String PORT = "465";
    private static final String LOGIN = "computacaonaescola";
    private static final String PASSWORD = "HauckJ2k17";

    public Mail() {
    }

    public void EnviarEmail(String enviarPara, String assunto, String msg) throws GeneralSecurityException {
        MailSSLSocketFactory sf = new MailSSLSocketFactory();
        sf.setTrustAllHosts(true);

        Properties mailProps = System.getProperties();
        mailProps.put("mail.smtp.ssl.trust", "*");
        mailProps.put("mail.smtp.ssl.socketFactory", sf);
        mailProps.put("mail.smtp.from", FROM);
        mailProps.put("mail.smtp.host", HOST);
        mailProps.put("mail.smtp.port", PORT);
        mailProps.put("mail.smtp.auth", true);
        mailProps.put("mail.smtp.user", LOGIN);
        mailProps.put("mail.smtp.socketFactory.port", PORT);
        mailProps.put("mail.smtp.socketFactory.class", "javax.net.ssl.SSLSocketFactory");
        mailProps.put("mail.smtp.socketFactory.fallback", "false");
        mailProps.put("mail.smtp.starttls.enable", "true");

        Session session = Session.getDefaultInstance(mailProps, new Authenticator() {

            @Override
            protected PasswordAuthentication getPasswordAuthentication() {
                return new PasswordAuthentication(LOGIN, PASSWORD);
            }

        });
        /**
         * Ativa Debug para sessão
         */
        session.setDebug(true);
        try {

            Message message = new MimeMessage(session);
            message.setFrom(new InternetAddress(FROM)); //Remetente

            Address[] toUser = InternetAddress //Destinatário(s)
                    .parse(enviarPara);
            message.setRecipients(Message.RecipientType.TO, toUser);
            message.setSubject(assunto);//Assunto
            message.setText(msg);
            /**
             * Método para enviar a mensagem criada
             */
            Transport.send(message);
            log.info("Email enviado.");
        } catch (MessagingException e) {
            log.error("Problema ao enviar email", e);
            throw new RuntimeException(e);
        }
    }

}
