/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.conceitos;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo.Codigo;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class AbstracaoProcedimentos extends ConceitoCT{

    public AbstracaoProcedimentos(Codigo codigo) {
        super(codigo);
    }

    @Override
    public void avaliaCodigo() {
        int qtdDefProcedimentos = 0;
        int qtdChamadaProcedimento = 0;
       
        if (codigo.getMapaTokensBlocos().containsKey("procedures_defreturn")){
            qtdDefProcedimentos += codigo.getMapaTokensBlocos().get("procedures_defreturn");
        }
        if (codigo.getMapaTokensBlocos().containsKey("procedures_defnoreturn")){
            qtdDefProcedimentos += codigo.getMapaTokensBlocos().get("procedures_defnoreturn");
        }
        if (codigo.getMapaTokensBlocos().containsKey("procedures_callreturn")){
            qtdChamadaProcedimento += codigo.getMapaTokensBlocos().get("procedures_callreturn");
        }
        if (codigo.getMapaTokensBlocos().containsKey("procedures_callnoreturn")){
            qtdChamadaProcedimento += codigo.getMapaTokensBlocos().get("procedures_callnoreturn");
        }
        
        if (qtdDefProcedimentos == 1 && qtdChamadaProcedimento == qtdDefProcedimentos){
            this.nota = 1;
        }else if (qtdDefProcedimentos > 1){
            this.nota = 2;
            if (qtdChamadaProcedimento > qtdDefProcedimentos){
                this.nota = 3;
            }
        }
    }
    
}
