/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.conceitos;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo.Codigo;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class Condicionais extends ConceitoCT{

    public Condicionais(Codigo codigo) {
        super(codigo);
    }

    @Override
    public void avaliaCodigo() {
        int qtdIfs = 0, qtdIfThenElse = 0, qtdElseIf = 0;
        
        if (codigo.getMapaTokensMutationBlocos().containsKey("elseif")){
            qtdElseIf = codigo.getMapaTokensMutationBlocos().get("elseif");
        }
        if (codigo.getMapaTokensMutationBlocos().containsKey("else")){
            qtdIfThenElse = codigo.getMapaTokensMutationBlocos().get("else");
        }
        if (codigo.getMapaTokensBlocos().containsKey("controls_if")){
            qtdIfs = codigo.getMapaTokensBlocos().get("controls_if");
        }
        if (codigo.getMapaTokensBlocos().containsKey("controls_choose")){
            qtdIfThenElse += codigo.getMapaTokensBlocos().get("controls_if");
        }
        
        if (qtdElseIf > 0){
            this.nota = 3;
        } else if (qtdIfThenElse > 0){
            this.nota = 2;
        } else if (qtdIfs > 0){
            this.nota = 1;
        }
    }
    
}
