/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.conceitos;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.codigo.Codigo;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class InterfaceUsuario extends ConceitoCT{

    public InterfaceUsuario(Codigo codigo) {
        super(codigo);
    }

    @Override
    public void avaliaCodigo() {
        int qtdElementosVisuais = codigo.getMapaTokensDesigner().size();
        int qtdAlinhamento = 0;
        
        if (codigo.getMapaTokensDesigner().containsKey("HorizontalArrangement")){
            qtdAlinhamento += codigo.getMapaTokensDesigner().get("HorizontalArrangement");
        }
        if (codigo.getMapaTokensDesigner().containsKey("HorizontalScrollArrangement")){
            qtdAlinhamento += codigo.getMapaTokensDesigner().get("HorizontalScrollArrangement");
        }
        if (codigo.getMapaTokensDesigner().containsKey("TableArrangement")){
            qtdAlinhamento += codigo.getMapaTokensDesigner().get("TableArrangement");
        }
        if (codigo.getMapaTokensDesigner().containsKey("VerticalArrangement")){
            qtdAlinhamento += codigo.getMapaTokensDesigner().get("VerticalArrangement");
        }
        if (codigo.getMapaTokensDesigner().containsKey("VerticalScrollArrangement")){
            qtdAlinhamento += codigo.getMapaTokensDesigner().get("VerticalScrollArrangement");
        }
        
        if (qtdAlinhamento == 0){
            if (qtdElementosVisuais == 1){
                this.nota = 0;
            }
            if (qtdElementosVisuais > 1){
                this.nota = 1;
            }
        } else if (qtdAlinhamento == 1 && qtdElementosVisuais > 5){
            this.nota = 2;
        } else if (qtdAlinhamento > 1 && qtdElementosVisuais > 5){
            this.nota = 3;
        }
    }
    
}
