/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.ufsc.cne.codemaster.restgrader.appinventorgrader.parse;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.apache.log4j.Logger;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

import br.ufsc.cne.codemaster.restgrader.appinventorgrader.io.Descompactador;

/**
 *
 * @author Matheus Demetrio <matheus.fdemetrio@gmail.com>
 */
public class JSONParse {

    static Logger log = Logger.getLogger(JSONParse.class);

    public JSONParse() {
    }

    public JSONObject carregarJSON(String filePath) {

        String json = "";
        JSONObject jsonObject = new JSONObject();
        jsonObject = null;

        try {
            BufferedReader br = new BufferedReader(new FileReader(filePath));
            int i = 1;
            while (br.ready()) {
                String linha = br.readLine();
                if (i == 3) {
                    json += linha;
                }
                //System.out.println(json);
                i++;
            }
            br.close();

        } catch (IOException ex) {
            log.error("Problema ao carregar arquivo json. " + ex);
        }

        try {
            new File(filePath).deleteOnExit();
        } catch (Exception e) {
            log.warn("Problema ao excluir arquivos SCM de projeto do servidor.");
        }

        try {
            JSONParser parser = new JSONParser();
            //jsonObject = (JSONObject) parser.parse(new FileReader(filePath));
            jsonObject = (JSONObject) parser.parse(json);
            //System.out.println(jsonObject.keySet());

            //printJson(jsonObject);
        } catch (ParseException e) {
            // TODO Auto-generated catch block
            log.error("Problema no parse arquivo json. " + e);
            return jsonObject;
        }
        return jsonObject;
    }

}
