package br.ufsc.cne.codemaster.restgrader.computacaonaescola.restgrader;

public class ProjectSettings {

    private String projectType;
    private String projectName;
    private Boolean logicIsRelevant;
    private Boolean parallelismIsRelevant;
    private Boolean synchronizationIsRelevant;
    private Boolean userInteractivityIsRelevant;
    private Boolean abstractionIsRelevant;
    private Boolean dataRepresentationIsRelevant;
    private Boolean flowControlIsRelevant;
    private Boolean telasIsRelevant;
    private Boolean interfaceUsuarioIsRelevant;
    private Boolean nomeacaoProcedimentosVariaveisIsRelevant;
    private Boolean eventosIsRelevant;
    private Boolean abstracaoProcedimentosIsRelevant;
    private Boolean lacosIsRelevant;
    private Boolean condicionaisIsRelevant;
    private Boolean listasIsRelevant;
    private Boolean persistenciaDadosIsRelevant;
    private Boolean sensoresIsRelevant;
    private Boolean midiaIsRelevant;
    private Boolean socialIsRelevant;
    private Boolean conectividadeIsRelevant;
    private Boolean desenhoAnimacaoIsRelevant;
    private Boolean appOperadoresIsRelevant;
    private Boolean snapOperatorsIsRelevant;
    private String TOKEN;

    public ProjectSettings() {
        this.projectType = "";
        this.projectName = "";
        this.logicIsRelevant = Boolean.TRUE;
        this.parallelismIsRelevant = Boolean.TRUE;
        this.synchronizationIsRelevant = Boolean.TRUE;
        this.userInteractivityIsRelevant = Boolean.TRUE;
        this.abstractionIsRelevant = Boolean.TRUE;
        this.dataRepresentationIsRelevant = Boolean.TRUE;
        this.flowControlIsRelevant = Boolean.TRUE;
        this.telasIsRelevant = Boolean.TRUE;
        this.interfaceUsuarioIsRelevant = Boolean.TRUE;
        this.nomeacaoProcedimentosVariaveisIsRelevant = Boolean.TRUE;
        this.eventosIsRelevant = Boolean.TRUE;
        this.abstracaoProcedimentosIsRelevant = Boolean.TRUE;
        this.lacosIsRelevant = Boolean.TRUE;
        this.condicionaisIsRelevant = Boolean.TRUE;
        this.listasIsRelevant = Boolean.TRUE;
        this.persistenciaDadosIsRelevant = Boolean.TRUE;
        this.sensoresIsRelevant = Boolean.TRUE;
        this.midiaIsRelevant = Boolean.TRUE;
        this.socialIsRelevant = Boolean.TRUE;
        this.conectividadeIsRelevant = Boolean.TRUE;
        this.desenhoAnimacaoIsRelevant = Boolean.TRUE;
        this.appOperadoresIsRelevant = Boolean.TRUE;
        this.snapOperatorsIsRelevant = Boolean.TRUE;
    }
    
    
    public String getProjectType() {
        return projectType;
    }

    public String getTOKEN() {
        return TOKEN;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }
    
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Boolean getLogicIsRelevant() {
        return logicIsRelevant;
    }

    public void setLogicIsRelevant(Boolean logicIsRelevant) {
        this.logicIsRelevant = logicIsRelevant;
    }

    public Boolean getParallelismIsRelevant() {
        return parallelismIsRelevant;
    }

    public void setParallelismIsRelevant(Boolean parallelismIsRelevant) {
        this.parallelismIsRelevant = parallelismIsRelevant;
    }

    public Boolean getSynchronizationIsRelevant() {
        return synchronizationIsRelevant;
    }

    public void setSynchronizationIsRelevant(Boolean synchronizationIsRelevant) {
        this.synchronizationIsRelevant = synchronizationIsRelevant;
    }

    public Boolean getUserInteractivityIsRelevant() {
        return userInteractivityIsRelevant;
    }

    public void setUserInteractivityIsRelevant(Boolean userInteractivityIsRelevant) {
        this.userInteractivityIsRelevant = userInteractivityIsRelevant;
    }

    public Boolean getAbstractionIsRelevant() {
        return abstractionIsRelevant;
    }

    public void setAbstractionIsRelevant(Boolean abstractionIsRelevant) {
        this.abstractionIsRelevant = abstractionIsRelevant;
    }

    public Boolean getDataRepresentationIsRelevant() {
        return dataRepresentationIsRelevant;
    }

    public void setDataRepresentationIsRelevant(Boolean dataRepresentationIsRelevant) {
        this.dataRepresentationIsRelevant = dataRepresentationIsRelevant;
    }

    public Boolean getFlowControlIsRelevant() {
        return flowControlIsRelevant;
    }

    public void setFlowControlIsRelevant(Boolean flowControlIsRelevant) {
        this.flowControlIsRelevant = flowControlIsRelevant;
    }
    
    public Boolean getTelasIsRelevant() {
        return telasIsRelevant;
    }

    public void setTelasIsRelevant(Boolean telasIsRelevant) {
        this.telasIsRelevant = telasIsRelevant;
    }

    public Boolean getInterfaceUsuarioIsRelevant() {
        return interfaceUsuarioIsRelevant;
    }

    public void setInterfaceUsuarioIsRelevant(Boolean interfaceUsuarioIsRelevant) {
        this.interfaceUsuarioIsRelevant = interfaceUsuarioIsRelevant;
    }

    public Boolean getNomeacaoProcedimentosVariaveisIsRelevant() {
        return nomeacaoProcedimentosVariaveisIsRelevant;
    }

    public void setNomeacaoProcedimentosVariaveisIsRelevant(Boolean nomeacaoProcedimentosVariaveisIsRelevant) {
        this.nomeacaoProcedimentosVariaveisIsRelevant = nomeacaoProcedimentosVariaveisIsRelevant;
    }

    public Boolean getEventosIsRelevant() {
        return eventosIsRelevant;
    }

    public void setEventosIsRelevant(Boolean eventosIsRelevant) {
        this.eventosIsRelevant = eventosIsRelevant;
    }

    public Boolean getAbstracaoProcedimentosIsRelevant() {
        return abstracaoProcedimentosIsRelevant;
    }

    public void setAbstracaoProcedimentosIsRelevant(Boolean abstracaoProcedimentosIsRelevant) {
        this.abstracaoProcedimentosIsRelevant = abstracaoProcedimentosIsRelevant;
    }

    public Boolean getLacosIsRelevant() {
        return lacosIsRelevant;
    }

    public void setLacosIsRelevant(Boolean lacosIsRelevant) {
        this.lacosIsRelevant = lacosIsRelevant;
    }

    public Boolean getCondicionaisIsRelevant() {
        return condicionaisIsRelevant;
    }

    public void setCondicionaisIsRelevant(Boolean condicionaisIsRelevant) {
        this.condicionaisIsRelevant = condicionaisIsRelevant;
    }

    public Boolean getListasIsRelevant() {
        return listasIsRelevant;
    }

    public void setListasIsRelevant(Boolean listasIsRelevant) {
        this.listasIsRelevant = listasIsRelevant;
    }

    public Boolean getPersistenciaDadosIsRelevant() {
        return persistenciaDadosIsRelevant;
    }

    public void setPersistenciaDadosIsRelevant(Boolean persistenciaDadosIsRelevant) {
        this.persistenciaDadosIsRelevant = persistenciaDadosIsRelevant;
    }

    public Boolean getSensoresIsRelevant() {
        return sensoresIsRelevant;
    }

    public void setSensoresIsRelevant(Boolean sensoresIsRelevant) {
        this.sensoresIsRelevant = sensoresIsRelevant;
    }

    public Boolean getMidiaIsRelevant() {
        return midiaIsRelevant;
    }

    public void setMidiaIsRelevant(Boolean midiaIsRelevant) {
        this.midiaIsRelevant = midiaIsRelevant;
    }

    public Boolean getSocialIsRelevant() {
        return socialIsRelevant;
    }

    public void setSocialIsRelevant(Boolean socialIsRelevant) {
        this.socialIsRelevant = socialIsRelevant;
    }

    public Boolean getConectividadeIsRelevant() {
        return conectividadeIsRelevant;
    }

    public void setConectividadeIsRelevant(Boolean conectividadeIsRelevant) {
        this.conectividadeIsRelevant = conectividadeIsRelevant;
    }

    public Boolean getDesenhoAnimacaoIsRelevant() {
        return desenhoAnimacaoIsRelevant;
    }

    public void setDesenhoAnimacaoIsRelevant(Boolean desenhoAnimacaoIsRelevant) {
        this.desenhoAnimacaoIsRelevant = desenhoAnimacaoIsRelevant;
    }
    
        public Boolean getAppOperadoresIsRelevant() {
        return appOperadoresIsRelevant;
    }

    public void setAppOperadoresIsRelevant(Boolean appOperadoresIsRelevant) {
        this.appOperadoresIsRelevant = appOperadoresIsRelevant;
    }

    public Boolean getSnapOperatorsIsRelevant() {
        return snapOperatorsIsRelevant;
    }

    public void setSnapOperatorsIsRelevant(Boolean snapOperatorsIsRelevant) {
        this.snapOperatorsIsRelevant = snapOperatorsIsRelevant;
    }
}