package br.ufsc.cne.codemaster.restgrader.snapgrader;

import br.ufsc.cne.codemaster.restgrader.computacaonaescola.restgrader.Grade;

public class SnapGrade extends Grade {
    
    private String projectName;
    private String projectLevel;
    private Integer logic;
    private Integer parallelism;
    private Integer synchronization;
    private Integer userInteractivity;
    private Integer abstraction;
    private Integer dataRepresentation;
    private Integer flowControl;
    private Integer operators;
    private Integer total;
    private Double score;
    
    public SnapGrade() {
        this.projectName = "";
        this.projectLevel = "";
        this.logic = 0;
        this.parallelism = 0;
        this.synchronization = 0;
        this.userInteractivity = 0;
        this.abstraction = 0;
        this.dataRepresentation = 0;
        this.flowControl = 0;
        this.operators = 0;
        this.total = 0;
        this.score = 0.0;
    }
    
    
    public String getProjectName() {
        return this.projectName;
    }

    public void setProjectName(String value) {
        this.projectName = value;
    }
    
    public String getProjectLevel() {
        return projectLevel;
    }

    public void setProjectLevel(String value) {
        this.projectLevel = value;
    }
    
    public Integer getLogic() {
        return this.logic;
    }

    public void setLogic(Integer value) {
        Integer previousValue = this.getLogic();
        if(value > previousValue) {
            this.logic = value;
        }
    }

    public Integer getParallelism() {
        return this.parallelism;
    }

    public void setParallelism(Integer value) {
        Integer previousValue = this.getParallelism();
        if(value > previousValue) {
            this.parallelism = value;
        }
    }

    public Integer getSynchronization() {
        return this.synchronization;
    }

    public void setSynchronization(Integer value) {
        Integer previousValue = this.getSynchronization();
        if(value > previousValue) {
            this.synchronization = value;
        }
    }

    public Integer getUserInteractivity() {
        return this.userInteractivity;
    }

    public void setUserInteractivity(Integer value) {
        Integer previousValue = this.getUserInteractivity();
        if(value > previousValue) {
            this.userInteractivity = value;
        }
    }

    public Integer getAbstraction() {
        return this.abstraction;
    }

    public void setAbstraction(Integer value) {
        Integer previousValue = this.getAbstraction();
        if(value > previousValue) {
            this.abstraction = value;
        }
    }

    public Integer getDataRepresentation() {
        return this.dataRepresentation;
    }

    public void setDataRepresentation(Integer value) {
        Integer previousValue = this.getDataRepresentation();
        if(value > previousValue) {
            this.dataRepresentation = value;
        }
    }

    public Integer getFlowControl() {
        return this.flowControl;
    }

    public void setFlowControl(Integer value) {
        Integer previousValue = this.getFlowControl();
        if(value > previousValue) {
            this.flowControl = value;
        }
    }
    
    public Integer getOperators() {
        return operators;
    }

    public void setOperators(Integer value) {
        Integer previousValue = this.getOperators();
        if(value > previousValue) {
            this.operators = value;
        }
    }
    
    public Integer getTotal() {
        return this.total;
    }
    
    public void setTotal(Integer value) {
        this.total = value;
    }

    public Double getScore() {
        return this.score;
    }

    public void setScore(Double value) {
	this.score = value;
    }

}
